
Figure - Bug #115301
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT2】【小窗模式】打开应用小窗，关闭小窗，进recent，通过进程卡片右上角的按钮打开小窗，
再次进recent，空白卡片卡顿明显
2023-01-13 17:15 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-13

Priority: Normal Due date: 2023-02-03

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0068.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302050304

Reproducibility: Every time Fixed Version: 2023-02-04

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开一应用小窗（以音乐为例）

2、关闭小窗

3、进recent，通过进程卡片右上角的按钮打开小窗

4、再次进recent

【预期结果】

4、只有音乐的小窗卡片

【实际结果】

4、只有音乐的的小窗卡片，但是空白卡片卡顿明显

History

#1 - 2023-01-16 20:31 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

177005 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

FW:Launcher:Solve the stuck problem after entering the recent interface from the small windowTC-RID: 1201-0205302IssueID: TS-R-BUG-115301Change-Id:

I699cb1ca4d462b76ba13cf633bf721085e875eae

#2 - 2023-01-16 20:33 - CD APP-王宏

- Status changed from New to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED
- Fixed Version set to 2023-01-16

- Root cause set to TaskThumbnailView$refresh()$adjustPhotoRotation()

设置图片的时候做了旋转图片的操作，refresh() 又被高频次调用，造成了界面的卡顿

■ Current conclusion

fixed

■ My analysis

TaskThumbnailView$refresh()$adjustPhotoRotation()

设置图片的时候做了旋转图片的操作，refresh() 又被高频次调用，造成了界面的卡顿

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/177005

#3 - 2023-01-31 14:30 - CD TEST-方永红

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from CD TEST-方永红 to CD APP-王宏

1.31

验证失败

步骤四后第一次进入recent时，空白卡片仍有明显卡顿，需继续优化

#4 - 2023-01-31 14:40 - CD APP-王营

- Due date set to 2023-01-31

#5 - 2023-02-01 17:40 - CD APP-王宏

■ Current conclusion

已分析task飞入的动画和BaseRecentsViewStateController$setStateWithAnimationInternal()中的

   setter.setFloat(mRecentsView, RECENTS_SCALE_PROPERTY, scaleAndOffset0,

                config.getInterpolator(ANIM_OVERVIEW_SCALE, LINEAR));

缩放动画有关系，目前还在定位中

■Next Action

排查引用了RecentsView.getScaleX() getScale()，看哪个引用触发了飞入的动画

#6 - 2023-02-02 19:39 - CD APP-王营

- Due date changed from 2023-01-31 to 2023-02-03

- Status changed from VERIFY_FAILED to ASSIGNED

#7 - 2023-02-03 16:38 - CD APP-王宏

- Root cause changed from TaskThumbnailView$refresh()$adjustPhotoRotation()

设置图片的时候做了旋转图片的操作，refresh() 又被高频次调用，造成了界面的卡顿 to 编码问题

■ Current conclusion

已提交

■ My analysis

在动画初始化好过后才初始化好recent中各控件的位置，会导致飞入前一种状态下的位置中，

只需要将控件位置初始化的时机提前到动画创建之前就能解决问题

■Submit URL
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/177005
#fn0


https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/179308

#8 - 2023-02-03 19:37 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

179308 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

FW:Launcher:Fix the animation flying into the wrong position in recent1.Initialize the position of each view before animation executionTC-RID:

1201-0205302IssueID: TS-R-BUG-115301Change-Id: Ib15eb622a5f0c14d0e5d1a77cd8d007b34bbab38

#9 - 2023-02-03 19:39 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- Degrated changed from -- to No

- Fixed Version changed from 2023-01-16 to 2023-02-04

#10 - 2023-02-06 11:43 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302050304

2.6

验证通过

#11 - 2023-02-06 11:43 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-TZ98765432 2023-01-13 15-29-11.mp4 5.55 MB 2023-01-13 CD TEST-方永红
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/179308

